package com.supervision.manage.controller;

import com.supervision.manage.service.DiseaseAncillaryManageService;
import com.supervision.model.DiseaseAncillary;
import com.supervision.vo.manage.DiseaseAncillaryResVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@Api(tags = "疾病辅助检查管理")
@RestController
@RequestMapping("diseaseAncillary")
@RequiredArgsConstructor
public class DiseaseAncillaryManageController {

   private final DiseaseAncillaryManageService diseaseAncillaryManageService;

    @ApiOperation("新增辅助检查信息")
    @GetMapping("/save")
    public String saveAncillary(DiseaseAncillary diseaseAncillary) {

        DiseaseAncillary result = diseaseAncillaryManageService.saveAncillary(diseaseAncillary);
        return result.getDiseaseId();

    }


    @ApiOperation("删除疾病")
    @DeleteMapping("/delete")
    public boolean deleteDiseaseAncillary(String id) {

        return diseaseAncillaryManageService.deleteDiseaseAncillary(id);

    }


    @ApiOperation("修改辅助检查信息")
    @PutMapping("/update")
    public boolean updateAncillary(DiseaseAncillary diseaseAncillary) {

        return diseaseAncillaryManageService.updateAncillary(diseaseAncillary);

    }

    @ApiOperation("根据疾病id查询疾病辅助检查信息列表")
    @GetMapping("/queryListByDiseaseId")
    public List<DiseaseAncillaryResVo> queryListByDiseaseId(String diseaseId) {

        return diseaseAncillaryManageService.queryListByDiseaseId(diseaseId);

    }



}
