package com.supervision.manage.controller;

import com.supervision.manage.service.ConfigTreatmentPlanManageService;
import com.supervision.vo.manage.ConfigTreatmentPlanWrapVo;
import com.supervision.model.ConfigTreatmentPlan;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@Api(tags = "处置计划管理")
@RestController
@RequestMapping("treatmentPlan")
@RequiredArgsConstructor
public class TreatmentPlanManageController {

    private final ConfigTreatmentPlanManageService configTreatmentPlanManageService;

    @ApiOperation("查询处置计划树")
    @GetMapping("/queryTree")
    public ConfigTreatmentPlanWrapVo queryTree(@RequestParam("处置方式") Integer disposalMethod) {

        return configTreatmentPlanManageService.queryTree(disposalMethod);

    }

    @ApiOperation("查询疾病处置计划列表")
    @GetMapping("/queryList")
    public List<ConfigTreatmentPlan> queryList(@RequestParam("处置方式") Integer disposalMethod) {

        return configTreatmentPlanManageService.queryList(disposalMethod);

    }

    @ApiOperation("根据id查询处置计划详情")
    @GetMapping("/findById")
    public ConfigTreatmentPlanWrapVo findById(@RequestParam("处置方式") String id) {

        return configTreatmentPlanManageService.findById(id);

    }



}
