package com.supervision.manage.service.impl;

import cn.hutool.core.lang.Assert;
import cn.hutool.core.util.StrUtil;
import com.supervision.manage.service.DiseaseAncillaryManageService;
import com.supervision.model.DiseaseAncillary;
import com.supervision.service.DiseaseAncillaryService;
import com.supervision.vo.manage.DiseaseAncillaryResVo;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
@RequiredArgsConstructor
public class DiseaseAncillaryManageServiceImpl implements DiseaseAncillaryManageService {

    private DiseaseAncillaryService diseaseAncillaryService;

    @Override
    public List<DiseaseAncillaryResVo> queryListByDiseaseId(String diseaseId) {

        /*diseaseAncillaryService.getBaseMapper().queryListByDiseaseId();*/
        return null;
    }

    @Override
    public DiseaseAncillary saveAncillary(DiseaseAncillary diseaseAncillary) {

        assertDiseaseAncillary(diseaseAncillary);

        diseaseAncillaryService.save(diseaseAncillary);

        return diseaseAncillary;
    }

    @Override
    public boolean deleteDiseaseAncillary(String id) {

        Assert.isTrue(StrUtil.isEmpty(id),"id 不允许为空");

        return diseaseAncillaryService.removeById(id);
    }

    @Override
    public boolean updateAncillary(DiseaseAncillary diseaseAncillary) {

        Assert.isTrue(StrUtil.isEmpty(diseaseAncillary.getId()),"id 不允许为空");

        return diseaseAncillaryService.updateById(diseaseAncillary);
    }


    private void assertDiseaseAncillary(DiseaseAncillary diseaseAncillary){

        Assert.isTrue(StrUtil.isNotEmpty(diseaseAncillary.getDiseaseId()),"疾病id不能为空");

        Assert.isNull(diseaseAncillary.getPrimarilyDiagnosisCriteriaFlag(),"初步诊断依据不能为空");

        Assert.isNull(diseaseAncillary.getBasisConfirmFlag(),"证实诊断依据不能为空");

        Assert.isNull(diseaseAncillary.getBasisIdentificationFlag(),"鉴别诊断依据不能为空");

        Assert.isNull(diseaseAncillary.getFullCheckFlag(),"全面诊断不能为空");

        Assert.isNull(diseaseAncillary.getDiagnosisAssessmentFlag(),"判断不能为空");

        Assert.isNull(diseaseAncillary.getRequireCheckFlag(),"是否必查不能为空");

        Assert.isNull(diseaseAncillary.getDiagnosisAssessmentFlag(),"判断不能为空");

        Assert.isNull(diseaseAncillary.getExpectedDiagnosisResult(),"预期诊断结果不能为空");

    }
}
